#!/usr/bin/env python
# -*- coding: ASCII -*-
'''SIP22N footprint 
Copyright (c) 2011, Mel Wilson, mwilson@melwilsonsoftware.ca
Licence: Creative Commons Attribution 3.0 Unported License
<http://creativecommons.org/licenses/by-sa/3.0/>
'''
from footprinter import inch, mm, Footprint, Pad, Pin, ElementArc, ElementLine
import math

PAD_PITCH = inch (0.1)
PAD_DIAMETER = inch (.075)
#~ DRILL_DIAMETER = inch (0.035)
DRILL_DIAMETER = inch (0.025) * math.sqrt(2)
		
			
def header_pin (pin, center_x, center_y, sflags=''):
	# Pin (number, rx, ry, thickness, clearance, mask_clearance, drill, name='', sflags='')
	return Pin (pin, center_x,center_y, PAD_DIAMETER, inch (.025), inch (.0025), DRILL_DIAMETER, '', sflags)

fp = Footprint ([header_pin (1, 0,0, sflags='square')]
		+ [header_pin (p+1, 0,p*PAD_PITCH) for p in xrange (1, 22)]
		, description="Single In-line Pins - 22"
	)
		
fp.file_element ('SIP22N.fp')
